Subject: Re: [PATCH net-next v7 3/7] ixgbe: Add a RETA query command to VF-PF channel API

From: Vlad Zolotarov <[email-masked]>
Date: Wed, 25 Mar 2015 21:51:15 +0200

On 03/25/15 21:33, Tantilov, Emil S wrote:
>> -----Original Message-----
>> From: Vlad Zolotarov [mailto:[email-masked]]
>> Sent: Wednesday, March 25, 2015 12:22 PM
>> To: Tantilov, Emil S; [email-masked]
>> Cc: Kirsher, Jeffrey T; [email-masked]; [email-masked]
>> Subject: Re: [PATCH net-next v7 3/7] ixgbe: Add a RETA query command to VF-PF channel API
>>
>>
>>
>>> On 03/25/15 20:03, Tantilov, Emil S wrote:
>
> 	<snip>
> 	
>>> There is no need to query the X550 info through the mailbox - this information can be obtained directly from the VF registers.
>> Unfortunately I couldn't find a x550 spec anywhere. Could u give me a pointer to it?
> There is no official documentation for X550 out yet AFAIK, but you can see how the RSS key and redirection table are populated in ixgbevf - ixgbevf_setup_vfmrqc(). Basically the info is in the IXGBE_VFRSSRK/RETA registers.
>
> Or you can just strip the X550 related code from your patches and we'll take care of it once we agree on the implementation.

I think I'll go for a second option since I can't check it anyway... ;)

>
> Thanks,
> Emil
> --
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html